Summary
Preserve incoming form data format
Description
Find and revert containers object/array mutation
Route
POST /formbuilder/preserveFormData
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_name |
string |
yes |
Form name |
| data |
object |
yes |
Form output data to convert |
Copied to Clipboard
{
"form_name": "Form 123",
"data": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "0b91c8d2-9e5f-d24a-6443-e4aca464818e",
"groups": [
"b49b6cccb967f36c6fa356c7",
"4fb1acda44d05b448c6bafb8",
"fb57d24b6c0b80ea93fb8d6a",
"039d3696642f358080d63864",
"9af2e0cbef30ee555636e426"
],
"created": "2011-09-27T14:33:14.235Z",
"created_by": "dc1b209e2cee98e075ecaff2",
"last_updated": "1992-08-24T23:12:49.342Z",
"last_updated_by": "e4f7e9a4070016d89f727e67"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"form_name": {
"title": "form_name",
"$ref": "formDocument#/definitions/formName"
},
"data": {
"title": "data",
"$ref": "formDocument"
}
},
"required": [
"form_name",
"data"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "372623a1-862a-f56e-9b0a-efbdd4313aa3",
"groups": [
"62824439d0024c90c958dbd5",
"f366502a9e48ba7b4228f892",
"e122859e9abfa70b8672b694",
"418a1cd8d68562685064892f"
],
"created": "2022-01-27T03:59:35.847Z",
"created_by": "669ed08057fc4b04d0037d70",
"last_updated": "1998-07-13T10:00:42.106Z",
"last_updated_by": "e37f15991f4516c35197b764"
}